services:
  mosquitto:
    command:
    - /usr/sbin/mosquitto
    - -c
    - /mosquitto/config/mosquitto.conf
    container_name: mosquitto
    entrypoint:
    - /docker-entrypoint.sh
    environment:
      DOWNLOAD_SHA256: 2f752589ef7db40260b633fbdb536e9a04b446a315138d64a7ff3c14e2de6b68
      GPG_KEYS: '***SENSITIVE_VALUE*** (A0D6...)'
      LWS_SHA256: 842da21f73ccba2be59e680de10a8cce7928313048750eb6ad73b6fa50763c51
      LWS_VERSION: 4.2.1
      PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
      VERSION: 2.0.22
    image: eclipse-mosquitto:latest
    networks:
    - bridge
    ports:
    - 1883:1883/tcp
    restart: always
    volumes:
    - /home/jonathan/mosquitto/config:/mosquitto/config
    - /home/jonathan/mosquitto/data:/mosquitto/data
    - /home/jonathan/mosquitto/log:/mosquitto/log
    working_dir: /
